cs_queue Struct Reference

`#include <cs_queue.h>`

## Data Fields

int | head
int | tail
int | used
int | usedhw
size_t | size
void * | items
size_t | size_per_item
int | iterator
pthread_mutex_t | mutex
int | threaded_mode_enabled

## Detailed Description

Definition at line 44 of file cs_queue.h.

## Field Documentation

## head

int cs_queue::head

Definition at line 45 of file cs_queue.h.

## items

void* cs_queue::items

Definition at line 50 of file cs_queue.h.

## iterator

int cs_queue::iterator

Definition at line 52 of file cs_queue.h.

## mutex

pthread_mutex_t cs_queue::mutex

Definition at line 53 of file cs_queue.h.

## size

size_t cs_queue::size

Definition at line 49 of file cs_queue.h.

## size_per_item

size_t cs_queue::size_per_item

Definition at line 51 of file cs_queue.h.

## tail

int cs_queue::tail

Definition at line 46 of file cs_queue.h.

## threaded_mode_enabled

int cs_queue::threaded_mode_enabled

Definition at line 54 of file cs_queue.h.

## used

int cs_queue::used

Definition at line 47 of file cs_queue.h.

## usedhw

int cs_queue::usedhw

Definition at line 48 of file cs_queue.h.

The documentation for this struct was generated from the following file:

- cs_queue.h